RIPEMD160 Class Reference

RIPEMD-160 message digest. More...

`#include <ripemd.h>`

Inheritance diagram for RIPEMD160:

## Static Public Member Functions

static void | InitState (HashWordType *state)
static void | Transform (word32 *digest, const word32 *data)
static const char * | StaticAlgorithmName ()

## Additional Inherited Members

Public Member Functions inherited from IteratedHashWithStaticTransform< word32, LittleEndian, 64, 20, RIPEMD160 >
unsigned int | DigestSize () const
| Provides the digest size of the hash.
Public Member Functions inherited from ClonableImpl< DERIVED, BASE >
Clonable * | Clone () const
| Create a copy of this object.
Static Public Attributes inherited from IteratedHashWithStaticTransform< word32, LittleEndian, 64, 20, RIPEMD160 >
static const int | DIGESTSIZE

## Detailed Description

RIPEMD-160 message digest.

Digest size is 160-bits.

See also
  RIPEMD-160

Since
  Crypto++ 2.1

Definition at line 17 of file ripemd.h.

## Member Function Documentation

## InitState()

void RIPEMD160::InitState | ( | HashWordType * | state | ) |

static

Definition at line 37 of file ripemd.cpp.

## Transform()

void RIPEMD160::Transform | ( | word32 * | digest,
|  | const word32 * | data
| ) |  |

static

Definition at line 46 of file ripemd.cpp.

## StaticAlgorithmName()

static const char * RIPEMD160::StaticAlgorithmName | ( |  | ) |

inline static

Definition at line 22 of file ripemd.h.

The documentation for this class was generated from the following files:

- ripemd.h
- ripemd.cpp